From 003eabece00a9e5ff950af078500fa7a65d74943 Mon Sep 17 00:00:00 2001
From: Szczepan Zalega <szczepan@nitrokey.com>
Date: Fri, 29 Nov 2019 10:58:32 +0100
Subject: [PATCH 14/25] udev/u2f.conf: group to one line as per request

Signed-off-by: Gustavo B. Schenkel <gustavo.schenkel@gmail.com>
---
 70-u2f.rules    |  7 ++-----
 u2f.conf.sample | 14 ++------------
 2 files changed, 4 insertions(+), 17 deletions(-)

diff --git a/70-u2f.rules b/70-u2f.rules
index 3688c72..32e2b93 100644
--- a/70-u2f.rules
+++ b/70-u2f.rules
@@ -46,11 +46,8 @@ KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="2abe", ATTRS{idProduct
 # Thetis Key
 KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="1ea8", ATTRS{idProduct}=="f025", TAG+="uaccess", GROUP="plugdev", MODE="0660"
 
-# Nitrokey FIDO U2F, Nitrokey FIDO2
-KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="20a0", ATTRS{idProduct}=="4287|42b1", TAG+="uaccess", GROUP="plugdev", MODE="0660"
-
-# Safetech SafeKey
-KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="20a0", ATTRS{idProduct}=="42b3", TAG+="uaccess", GROUP="plugdev", MODE="0660"
+# Nitrokey FIDO U2F, Nitrokey FIDO2, Safetech SafeKey
+KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="20a0", ATTRS{idProduct}=="4287|42b1|42b3", TAG+="uaccess", GROUP="plugdev", MODE="0660"
 
 # Google Titan U2F
 KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="18d1", ATTRS{idProduct}=="5026", TAG+="uaccess", GROUP="plugdev", MODE="0660"
diff --git a/u2f.conf.sample b/u2f.conf.sample
index 0955ba5..9d91df7 100644
--- a/u2f.conf.sample
+++ b/u2f.conf.sample
@@ -100,23 +100,13 @@ notify 100 {
 	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
 };
 
-# Nitrokey FIDO U2F, Nitrokey FIDO2
+# Nitrokey FIDO U2F, Nitrokey FIDO2, Safetech SafeKey
 notify 100 {
 	match "system"		"USB";
 	match "subsystem"	"DEVICE";
 	match "type"		"ATTACH";
 	match "vendor"		"0x20a0";
-	match "product"		"(0x4287|0x42b1)";
-	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
-};
-
-# Safetech SafeKey
-notify 100 {
-	match "system"		"USB";
-	match "subsystem"	"DEVICE";
-	match "type"		"ATTACH";
-	match "vendor"		"0x20a0";
-	match "product"		"0x42b3";
+	match "product"		"(0x4287|0x42b1|0x42b3)";
 	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
 };
 
-- 
2.32.0

